# MatSeqDenseSetPreallocation

Sets the array used for storing the matrix elements

### Synopsis

    PetscErrorCode PETSCMAT_DLLEXPORT MatSeqDenseSetPreallocation(Mat B,PetscScalar data[])

Collective on MPI_Comm

### Input Parameters

| A | - the matrix
| data | - the array (or PETSC_NULL)

### Notes

The data input variable is intended primarily for Fortran programmers who wish to allocate their own matrix memory space. Most users should need not call this routine.

### Keywords

dense, matrix, LAPACK, BLAS

### See Also

MatCreate(), MatCreateMPIDense(), MatSetValues()

Level:intermediate
Location: src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex2.c.html